Jump to content

Android 2.2 SDK is out!!


Guest mr.a
 Share

Recommended Posts

That's the trick, but don't forget the rest of the package, not only the boot img is need to be loaded.

ofc :rolleyes:

bart.gif

and and and is wifi working? no it isn't

Edited by eckengucker1
Link to comment
Share on other sites

ofc :rolleyes:

bart.gif

and and and is wifi working? no it isn't

I've just mentioned it cause all that article is boot related. You can even read at the end of the page that they say: "This is not the same as applying an update.zip"

Link to comment
Share on other sites

Disclaimer: I'm a java / app / web guy, and know nothing about linux kernels, so I may be way off base...

It seems like it ought to be possible to pinch the existing Huawei hardware drivers from a working ROM / kernel, and recompile them into a new kernel. After all, the kernel revisions between android 1.5 and 2.2 are only very minor version numbers, and I would have thought that the driver architecture would remain the same?

Does anyone know if this is feasible, and if so, perhaps it might be possible to get vibration support in our current 2.1 builds by compiling the old driver into the new kernel?

Link to comment
Share on other sites

Now that we know that the baseband is still the same, isnt there the possibility of using the 1.5 Drivers?

Once I found a complete Driver/Kernel package at Huawei, will see if i will find it again :rolleyes:

Link to comment
Share on other sites

You can find more info on this site:

http://developer.android.com/index.html

Android 2.2 SDK:

http://developer.android.com/sdk/android-2.2.html

EDIT: Flash 10.1 Beta is also available for android 2.2!

http://labs.adobe.com/technologies/flashplayer10/

EDIT 2: it seems that me and hungary have started new topics about android 2.2 at the same time :rolleyes:

Ok I'm fairly new to this and confused:

Is that Froyo?

Will it work on a non rooted Desire?

Link to comment
Share on other sites

Ok I'm fairly new to this and confused:

Is that Froyo?

Will it work on a non rooted Desire?

Yes, it's Froyo.

For it to work on a Desire, a Dev must compile it along with Desire's kernel.

Link to comment
Share on other sites

Now that we know that the baseband is still the same, isnt there the possibility of using the 1.5 Drivers?

Once I found a complete Driver/Kernel package at Huawei, will see if i will find it again :rolleyes:

hmm, would be worth a shot :D

Link to comment
Share on other sites

Yes, it's Froyo.

For it to work on a Desire, a Dev must compile it along with Desire's kernel.

Thank you.

Will there be an official release from HTC or our network providers?

Edited by roscoe141
Link to comment
Share on other sites

Thank you.

Will there be an official release from HTC or our network providers?

Probably... but you might have to wait a while...

Link to comment
Share on other sites

Thank you.

Will there be an official release from HTC or our network providers?

You might get a better/more definitive response on the Desire forum, no?

Link to comment
Share on other sites

Probably... but you might have to wait a while...

Oh ok, thanks for the reply.

You might get a better/more definitive response on the Desire forum, no?

Yeah guess so. Sorry guys.

Link to comment
Share on other sites

You might get a better/more definitive response on the Desire forum, no?

Tsc, tsc.. This rich kids uptown... Always rubbing their Desires in our poor Pulses faces...

Edited by MarcusHenrique
Link to comment
Share on other sites

Ok... So we have to go through this agony of "will it, won't it work?" again!?

I just wanna have me some lurve partay!

+1

Link to comment
Share on other sites

Tsc, tsc.. This rich kids uptown... Always rubbing their Desires in our poor Pulses faces...

lol I didn't mean to tease. I should also add I ain't no rich kid. I got my Desire handset free for £15 a month, unlimited texts and internet and 300 free minutes on Orange 24 mth contract when I told them I was leaving them for a £20 Vodafone contract with the Legend. I guess I just got lucky.

Edited by roscoe141
Link to comment
Share on other sites

According to this video it running on the HTC hero, it runs on the 2.6.29 kernel :rolleyes: - so technically the sdk images should be able to be flashed onto the pulse now and work - maybe some of the drivers will work too...

EDIT: Pic looks better now.

EDIT 2: Oops, people have already posted about this - sorry.

post-443279-1274387881_thumb.png

Edited by HunteronX
Link to comment
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
 Share


×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.